package com.clx.performance.controller.pc;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.vo.pc.OrderGoodsVO;
import com.clx.settlement.params.PageMoneyManagementListParam;
import com.clx.settlement.vo.pc.MoneyManagementVO;
import com.msl.common.base.PageData;
import com.msl.common.convertor.aspect.UnitCovert;
import com.msl.common.result.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RestController
@RequestMapping("/pc/moneyManagement")
@Validated
@AllArgsConstructor
@Api(tags = "PC-资金管理")
public class MoneyManagementController {

    @ApiOperation(value = "查看资金管理列表", notes = "<br>By:胡宇帆")
    @PostMapping("/moneyManagementList")
    @UnitCovert(param = false)
    public Result<PageData<MoneyManagementVO>> moneyManagementList(@RequestBody PageMoneyManagementListParam param) {
//        IPage<OrderGoodsVO> page = orderGoodsService.pageOrderGoodsList(param);
//        return Result.page(page.getRecords(), page.getTotal(), page.getPages());
        return null;
    }
}
